API reference / Merchants
POST
/v1/merchants/resolveResolve merchants
Requires merchants:resolve. Resource restrictions also apply. Resolve merchants.
Requires unrestricted account access and enabled merchant enrichment.
Request examples
These examples use HTTP directly. Keep API keys on your server.
curl -X POST 'https://api.bankmcp.app/v1/merchants/resolve' \
-H "Authorization: Bearer $BANKING_API_KEY" \
-H 'Content-Type: application/json' \
--data '{}'
const response = await fetch('https://api.bankmcp.app/v1/merchants/resolve', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.BANKING_API_KEY}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({}),
});
if (!response.ok) throw new Error(`Banking returned ${response.status}`);
const data = await response.json();
Request body
Content-Type: application/json
object
Response
200 · application/json
status"started" | "already_running" | "nothing_to_do"requiredpendingintegerrequiredRange: 0 – unbounded
Errors
Errors contain error, code and an optional action. Read the error and retry guide.
| Status | Code |
|---|---|
| 400 | INVALID_INPUT |
| 401 | INVALID_API_KEY |
| 403 | INSUFFICIENT_PERMISSION |
| 404 | NOT_FOUND |
| 409 | CONFLICT |
| 413 | REQUEST_TOO_LARGE |
| 429 | rate_limit.feature |
| 500 | REQUEST_FAILED |
| 502 | INVALID_RESPONSE |
| 503 | UNAVAILABLE |
Try this request
Sent directly to https://api.bankmcp.app. Your key stays in this page’s memory and is never saved.